> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reach out to a respondent

> Start a conversation with the respondent. Body `{ channel: 'messenger'|'email', message (TipTap JSON or
markdown text), subject?, assignToMe? }`. The ticket carries `surveyResponse`; returns
`{ ticketId, ticketShareToken }`.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /engagement/surveys/{surveyId}/responses/{responseId}/reach-out
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/surveys/{surveyId}/responses/{responseId}/reach-out:
    post:
      tags:
        - Engagement Survey
      summary: Reach out to a respondent
      description: >-
        Start a conversation with the respondent. Body `{ channel:
        'messenger'|'email', message (TipTap JSON or

        markdown text), subject?, assignToMe? }`. The ticket carries
        `surveyResponse`; returns

        `{ ticketId, ticketShareToken }`.
      operationId: ReachOut
      parameters:
        - in: path
          name: surveyId
          required: true
          schema:
            type: string
        - in: path
          name: responseId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.